'use strict';


const bnUtil = require('./businessnetwork-connection-util');

// #1 Connect to the airlinev8
bnUtil.cardName='admin@uoc';
bnUtil.connect(main);

function main(error){
    // for clarity sake - ignored the error

    // #2 Execute the named query : AllHotels

    return bnUtil.connection.query('AllHotels').then((results)=>{

        console.log('Received hotel count:', results.length)

        var   statement = 'SELECT  org.hotelandia.zona.Zona WHERE (zonaId == _$id)';
        
        // #3 Build the query object
        return bnUtil.connection.buildQuery(statement);

    }).then((qry)=>{

        // #4 Execute the query
        return bnUtil.connection.query(qry,{id:'ZAR'});
    }).then((result)=>{
        console.log('Received zona count:', result.length);
        if(result.length > 0) console.log(result[0].zonaId);
        bnUtil.connection.disconnect();
    }).catch((error)=>{
        console.log(error);
        bnUtil.connection.disconnect();
    });
}