/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { AngularTestPage } from './app.po';
import { ExpectedConditions, browser, element, by } from 'protractor';
import {} from 'jasmine';


describe('Starting tests for hotelandia', function() {
  let page: AngularTestPage;

  beforeEach(() => {
    page = new AngularTestPage();
  });

  it('website title should be hotelandia', () => {
    page.navigateTo('/');
    return browser.getTitle().then((result)=>{
      expect(result).toBe('hotelandia');
    })
  });

  it('network-name should be uoc@0.0.1',() => {
    element(by.css('.network-name')).getWebElement()
    .then((webElement) => {
      return webElement.getText();
    })
    .then((txt) => {
      expect(txt).toBe('uoc@0.0.1.bna');
    });
  });

  it('navbar-brand should be hotelandia',() => {
    element(by.css('.navbar-brand')).getWebElement()
    .then((webElement) => {
      return webElement.getText();
    })
    .then((txt) => {
      expect(txt).toBe('hotelandia');
    });
  });

  
    it('Hotel component should be loadable',() => {
      page.navigateTo('/Hotel');
      browser.findElement(by.id('assetName'))
      .then((assetName) => {
        return assetName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('Hotel');
      });
    });

    it('Hotel table should have 5 columns',() => {
      page.navigateTo('/Hotel');
      element.all(by.css('.thead-cols th')).then(function(arr) {
        expect(arr.length).toEqual(5); // Addition of 1 for 'Action' column
      });
    });
  
    it('Zona component should be loadable',() => {
      page.navigateTo('/Zona');
      browser.findElement(by.id('assetName'))
      .then((assetName) => {
        return assetName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('Zona');
      });
    });

    it('Zona table should have 7 columns',() => {
      page.navigateTo('/Zona');
      element.all(by.css('.thead-cols th')).then(function(arr) {
        expect(arr.length).toEqual(7); // Addition of 1 for 'Action' column
      });
    });
  

  
    it('HOTELANDIANetworkAdmin component should be loadable',() => {
      page.navigateTo('/HOTELANDIANetworkAdmin');
      browser.findElement(by.id('participantName'))
      .then((participantName) => {
        return participantName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('HOTELANDIANetworkAdmin');
      });
    });

    it('HOTELANDIANetworkAdmin table should have 3 columns',() => {
      page.navigateTo('/HOTELANDIANetworkAdmin');
      element.all(by.css('.thead-cols th')).then(function(arr) {
        expect(arr.length).toEqual(3); // Addition of 1 for 'Action' column
      });
    });
  
    it('HOTELANDIAPersonnel component should be loadable',() => {
      page.navigateTo('/HOTELANDIAPersonnel');
      browser.findElement(by.id('participantName'))
      .then((participantName) => {
        return participantName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('HOTELANDIAPersonnel');
      });
    });

    it('HOTELANDIAPersonnel table should have 4 columns',() => {
      page.navigateTo('/HOTELANDIAPersonnel');
      element.all(by.css('.thead-cols th')).then(function(arr) {
        expect(arr.length).toEqual(4); // Addition of 1 for 'Action' column
      });
    });
  
    it('B2BPartner component should be loadable',() => {
      page.navigateTo('/B2BPartner');
      browser.findElement(by.id('participantName'))
      .then((participantName) => {
        return participantName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('B2BPartner');
      });
    });

    it('B2BPartner table should have 3 columns',() => {
      page.navigateTo('/B2BPartner');
      element.all(by.css('.thead-cols th')).then(function(arr) {
        expect(arr.length).toEqual(3); // Addition of 1 for 'Action' column
      });
    });
  

  
    it('CreateHotel component should be loadable',() => {
      page.navigateTo('/CreateHotel');
      browser.findElement(by.id('transactionName'))
      .then((transactionName) => {
        return transactionName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('CreateHotel');
      });
    });
  
    it('AssignZona component should be loadable',() => {
      page.navigateTo('/AssignZona');
      browser.findElement(by.id('transactionName'))
      .then((transactionName) => {
        return transactionName.getText();
      })
      .then((txt) => {
        expect(txt).toBe('AssignZona');
      });
    });
  

});