/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { HomeComponent } from './home/home.component';

import { HotelComponent } from './Hotel/Hotel.component';
import { ZonaComponent } from './Zona/Zona.component';

import { HOTELANDIANetworkAdminComponent } from './HOTELANDIANetworkAdmin/HOTELANDIANetworkAdmin.component';
import { HOTELANDIAPersonnelComponent } from './HOTELANDIAPersonnel/HOTELANDIAPersonnel.component';
import { B2BPartnerComponent } from './B2BPartner/B2BPartner.component';

import { CreateHotelComponent } from './CreateHotel/CreateHotel.component';
import { AssignZonaComponent } from './AssignZona/AssignZona.component';

const routes: Routes = [
  { path: '', component: HomeComponent },
  { path: 'Hotel', component: HotelComponent },
  { path: 'Zona', component: ZonaComponent },
  { path: 'HOTELANDIANetworkAdmin', component: HOTELANDIANetworkAdminComponent },
  { path: 'HOTELANDIAPersonnel', component: HOTELANDIAPersonnelComponent },
  { path: 'B2BPartner', component: B2BPartnerComponent },
  { path: 'CreateHotel', component: CreateHotelComponent },
  { path: 'AssignZona', component: AssignZonaComponent },
  { path: '**', redirectTo: '' }
];

@NgModule({
 imports: [RouterModule.forRoot(routes)],
 exports: [RouterModule],
 providers: []
})
export class AppRoutingModule { }
