/**
 * Create Hotel Transaction
 * @param {org.hotelandia.hotel.CreateHotel} hotelData
 * @transaction
 */

function    createHotel(hotelData) {

    var timeNow = new Date().getTime();
    var schedTime = new Date(hotelData.schedule).getTime();
    if(schedTime < timeNow){
        throw new Error("Scheduled time cannot be in the past!!!");
    }



    return getAssetRegistry('org.hotelandia.hotel.Hotel')
    
        .then(function(hotelRegistry){
            
            var  factory = getFactory();

            var  NS =  'org.hotelandia.hotel';
			var dt = new Date(hotelData.schedule)

    		var month = dt.getMonth()+1;
    		if((month+'').length == 1)  month = '0'+month;
    		var dayNum = dt.getDate();
    		if((dayNum+'').length == 1)  dayNum = '0'+dayNum;



    var  hotelId = hotelData.hotelNumber+'-'+dayNum+'-'+month+'-'+(dt.getFullYear()+'').substring(2,4);
         
          
      
            var  hotel = factory.newResource(NS,'Hotel',hotelId);
            hotel.hotelNumber = hotelData.hotelNumber;
            var address = factory.newConcept(NS,"Address");

     
            address.code = hotelData.code;
            address.street = hotelData.street;
            address.schedule = hotelData.schedule;
          

         
            hotel.address = address;
            
            var event = factory.newEvent(NS, 'HotelCreated');
            event.hotelId = hotelId;
            emit(event);

            return hotelRegistry.add(hotel);
        });
}


/**
 * Create Hotel Transaction
 * @param {org.hotelandia.hotel.AssignZona} hotelZonaData
 * @transaction
 * 
 * **/
function    AssignZona(hotelZonaData){
    var hotelRegistry={}
    return getAssetRegistry('org.hotelandia.hotel.Hotel').then(function(registry){
        hotelRegistry = registry
        return hotelRegistry.get(hotelZonaData.hotelId);
    }).then(function(hotel){
        if(!hotel) throw new Error("hotel : "+hotelZonaData.hotelId," Not Found!!!");
        var   factory = getFactory();
        var   relationship = factory.newRelationship('org.hotelandia.zona','Zona',hotelZonaData.zonaId);
        hotel.zona = relationship;
        return hotelRegistry.update(hotel);
    }).then(function(){
        var event = getFactory().newEvent('org.hotelandia.hotel', 'ZonaAssigned');
        event.hotelId = hotelZonaData.hotelId;
        event.zonaId = hotelZonaData.zonaId;
        emit(event);
    }).catch(function(error){
        throw new Error(error);
    });

}